curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/shipping-rule-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/shipping-rule-mappings"
payload = { "mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingRuleId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/shipping-rule-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>"
}
]
}Declaratively replaces the complete set of shipping-rule mappings of a SCX seller/account.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account whose shipping-rule mappings are replaced.
Body
Request model for SetScxSellerShippingRuleMappings command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
The complete desired set of shipping-rule mappings for the seller. Any existing mapping of the seller's shop that is not contained in this list is removed.
Show child attributes
Show child attributes
Response
Successfully replaced the shipping-rule mappings. Returns the persisted mappings including their server-resolved carrier id.
Declaratively replaces the complete set of shipping-rule mappings of a SCX seller/account. The request describes the full desired state - provided mappings are upserted and every mapping not contained in the request is removed (declarative replace, ADR-57). - Response
The persisted shipping-rule mappings including the server-resolved carrier id.
Show child attributes
Show child attributes
Was this page helpful?